Legrand / Raritan Xerus™ JSON-RPC API for Remote Access Devices like KX4-101, KX3G2

Loading...
Searching...
No Matches
Public Attributes | List of all members
net::EapAuthSettings Struct Reference

EAP authentication settings. More...

`import "Net.idl";`

## Public Attributes
string | identity
| EAP identity.
string | password
| EAP password (always empty on retrieval!)
boolean | clearPassword
| Set to `true` when password should be cleared.
string | clientCertChain
| client certificate chain
string | clientPrivKey
| client private key (always empty on retrieval!)
boolean | clearClientPrivKey
| Set to `true` to clear the client private key.
string | clientPrivKeyPassword
| password of client private key
EapOuterAuthMethod | outerMethod
| Outer authentication method.
EapInnerAuthMethod | innerMethod
| Inner authentication method.
string | caCertChain
| CA certificate chain.
boolean | forceTrustedCert
| Enforce trusted certificates.
boolean | allowOffTimeRangeCerts
| allow expired and not yet valid TLS certs
boolean | allowNotYetValidCertsIfTimeBeforeBuild
| allow not yet valid TLS certs if
string | authServerName
| Name of the RADIUS server (used to verify cert)

## Detailed Description

EAP authentication settings.

Definition at line 198 of file Net.idl.

## Member Data Documentation

## ◆ allowNotYetValidCertsIfTimeBeforeBuild

boolean net::EapAuthSettings::allowNotYetValidCertsIfTimeBeforeBuild

allow not yet valid TLS certs if

the system time is before the build time

Definition at line 211 of file Net.idl.

## ◆ allowOffTimeRangeCerts

boolean net::EapAuthSettings::allowOffTimeRangeCerts

allow expired and not yet valid TLS certs

Definition at line 210 of file Net.idl.

## ◆ authServerName

string net::EapAuthSettings::authServerName

Name of the RADIUS server (used to verify cert)

Definition at line 213 of file Net.idl.

## ◆ caCertChain

string net::EapAuthSettings::caCertChain

CA certificate chain.

Definition at line 208 of file Net.idl.

## ◆ clearClientPrivKey

boolean net::EapAuthSettings::clearClientPrivKey

Set to `true` to clear the client private key.

Definition at line 204 of file Net.idl.

## ◆ clearPassword

boolean net::EapAuthSettings::clearPassword

Set to `true` when password should be cleared.

Definition at line 201 of file Net.idl.

## ◆ clientCertChain

string net::EapAuthSettings::clientCertChain

client certificate chain

Definition at line 202 of file Net.idl.

## ◆ clientPrivKey

string net::EapAuthSettings::clientPrivKey

client private key (always empty on retrieval!)

Definition at line 203 of file Net.idl.

## ◆ clientPrivKeyPassword

string net::EapAuthSettings::clientPrivKeyPassword

password of client private key

Definition at line 205 of file Net.idl.

## ◆ forceTrustedCert

boolean net::EapAuthSettings::forceTrustedCert

Enforce trusted certificates.

Definition at line 209 of file Net.idl.

## ◆ identity

string net::EapAuthSettings::identity

EAP identity.

Definition at line 199 of file Net.idl.

## ◆ innerMethod

EapInnerAuthMethod net::EapAuthSettings::innerMethod

Inner authentication method.

Definition at line 207 of file Net.idl.

## ◆ outerMethod

EapOuterAuthMethod net::EapAuthSettings::outerMethod

Outer authentication method.

Definition at line 206 of file Net.idl.

## ◆ password

string net::EapAuthSettings::password

EAP password (always empty on retrieval!)

Definition at line 200 of file Net.idl.

The documentation for this struct was generated from the following file:

- Net.idl